package com.zfire.jiasm.syncdata.dao.mapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zfire.jiasm.syncdata.parameter.OrderPar;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAssignAppointmentUpload;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAssignFkmxUpload;
import com.zfire.jiasm.syncdata.plus.entity.OrderRepairOperatingLog;
import org.apache.ibatis.annotations.Param;

/**
 * 维修工单操作日志  Mapper 接口
 * @author yaozx
 * @since 2023-03-31
 */
public interface RepairLogMapper extends BaseMapper<OrderRepairOperatingLog> {
    void upRepairLogPgid(@Param("request") OrderPar request);
    OrderRepairOperatingLog getFkid(@Param("request") OrderPar request);

    @SqlParser(filter = true)
    OrderRepairOperatingLog getUpdatetime(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    OrderRepairOperatingLog getUpdatetimeT(@Param("request") OrderPar request);



    @SqlParser(filter = true)
    ItfTblAssignFkmxUpload getItfTblAssignFkmxUpload(@Param("request") OrderPar request);
    ItfTblAssignAppointmentUpload getItfTblAssignAppointmentUpload(@Param("request") OrderPar request);
    void  upRepairLogFkid(@Param("request") OrderPar request);

}
